## kdeartwork-trinity 3.5.13.2

=== kwin-styles/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( "${TDE_CMAKE_DIR}/kwin.cmake" )

add_subdirectory( cde )
add_subdirectory( glow )
add_subdirectory( icewm )
add_subdirectory( kde1 )
add_subdirectory( kstep )
add_subdirectory( openlook )
add_subdirectory( riscos )
add_subdirectory( smooth-blend )
add_subdirectory( system )
