=== icewm-themes/MenschMaschine/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    closeA.xpm closeI.xpm frameAB.xpm
	frameABL.xpm frameABR.xpm frameAL.xpm
	frameAR.xpm frameAT.xpm frameATL.xpm
	frameATR.xpm frameIB.xpm frameIBL.xpm
	frameIBR.xpm frameIL.xpm frameIR.xpm
	frameIT.xpm frameITL.xpm frameITR.xpm
	maximizeA.xpm maximizeI.xpm menuButtonA.xpm
	menuButtonI.xpm minimizeA.xpm minimizeI.xpm
	restoreA.xpm restoreI.xpm titleAB.xpm
	titleAL.xpm titleAM.xpm titleAR.xpm
	titleAT.xpm titleIB.xpm titleIL.xpm
	titleIM.xpm titleIR.xpm titleIT.xpm
	default.theme
  DESTINATION ${DATA_INSTALL_DIR}/kwin/icewm-themes/MenschMaschine )
