=== debian/changelog ===
kdeartwork-trinity (4:3.5.13.2-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Jun 2013 04:48:14 +0200

kdeartwork-trinity (4:3.5.10-0ubuntu1) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

kdeartwork-trinity (4:3.5.10-0ubuntu1~intrepid3) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 28 Feb 2009 14:52:00 -0600

kdeartwork-trinity (4:3.5.10-0ubuntu1~intrepid2) intrepid; urgency=low

  * Intrepid -trinity packaging update

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 24 Nov 2008 16:53:00 -0600

kdeartwork (4:3.5.10-0ubuntu1~hardy1) hardy-backports; urgency=low

  * New upstream bugfix release (LP: #261366)
    - Bump build-dep version of kdelibs4-dev and kdebase-dev to 3.5.10
    - Add xscreensaver-data-extra to build-dep

 -- Scott Kitterman <scott@kitterman.com>  Tue, 26 Aug 2008 00:41:02 -0400

kdeartwork (4:3.5.9-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Feb 2008 12:27:06 +0000

kdeartwork (4:3.5.8-1ubuntu4) hardy; urgency=low

  * Fix kscreensaver-xsavers-webcollage.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Dec 2007 16:06:47 +0000

kdeartwork (4:3.5.8-1ubuntu3) hardy; urgency=low

  * Edit kscreensaver-xsaver-webcollage.install to use the file
    from sources, since it does not get installed during build.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Nov 2007 23:36:57 +0000

kdeartwork (4:3.5.8-1ubuntu2) hardy; urgency=low

  * Run buildprep before upload

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Nov 2007 10:51:47 +0000

kdeartwork (4:3.5.8-1ubuntu1) hardy; urgency=low

  * Merge with Debian, remaining change:
   - Add package kscreensaver-xsavers-extra

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Nov 2007 17:25:44 +0000

kdeartwork (4:3.5.8-1) unstable; urgency=low
 
  * New upstream release. 

  +++ Changes by Ana Beatriz Guerrero Lopez:
  
  * Redo buildprep.
  * Bump build-dependencies and stuff to 3.5.8.

  +++ Changes by Sune Vuorela:

  * Only make kdeartwork recommend kscreensaver-xsavers, not depend. It pulls
    all sorts of weird gtk-stuff in.
  * Fix spelling error in control file.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 11 Oct 2007 00:25:56 +0200

kdeartwork (4:3.5.7-2) unstable; urgency=low

  +++ Changes by Sune Vuorela:

  * Webcollage needs a wordlist to work. Add proper depends.
  * Webcollage needs ppmmake from netpbm to function. Add proper depends.
  * Implement use of uploaders.mk and update control file.

  +++ Changes by Ana Beatriz Guerrero Lopez:
  
  * Remove the hook to the xteevee screensaver since it has been removed
    from xscreensaver. (Closes: #436364)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 07 Aug 2007 19:00:51 +0200

kdeartwork (4:3.5.8-0ubuntu1) gutsy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Oct 2007 11:41:25 +0100

kdeartwork (4:3.5.7-1ubuntu3) gutsy; urgency=low

  * Added kubuntu_01_dont_use_xscreensaver_by_default.diff which is the
    last upload, in patch form, as opposed to directly patching the
    source. Clearly my brain isnt so good tonight.

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Mon, 02 Jul 2007 19:14:40 +1000

kdeartwork (4:3.5.7-1ubuntu2) gutsy; urgency=low
 .
   * Removed TryExec=xscreensaver from all the
     kscreensaver/kxsconfig/ScreenSavers/*.desktop files, so that they can be
     controlled in the KDE screensavers control panel.  Closes LP: #49228

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Mon, 02 Jul 2007 17:13:01 +1000

kdeartwork (4:3.5.7-1ubuntu1) gutsy; urgency=low

  * Merge with Debian for new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 May 2007 16:01:05 +0100

kdeartwork (4:3.5.7-1) unstable; urgency=low

  * New upstream release.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 15 May 2007 22:30:44 +0100

kdeartwork (4:3.5.6-4ubuntu1) gutsy; urgency=low

  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Apr 2007 20:32:55 +0100

kdeartwork (4:3.5.6-4) unstable; urgency=low

  * Really upload to unstable after Etch release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 20 Apr 2007 13:57:49 +0100

kdeartwork (4:3.5.6-3) experimental; urgency=low

  * Upload to unstable after Etch release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 20 Apr 2007 12:48:34 +0100

kdeartwork (4:3.5.6-2) experimental; urgency=low

  +++ Changes by Sune Vuorela:

  * Ship the webcollage screensaver in a separate package. (Closes: #384100)

  +++ Changes by Ana Beatriz Guerrero Lopez:
  
  * Add kscreensaver-xsavers-webcollage.README.Debian.
  * Remade screensaver-xsavers-webcollage description in debian/control.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 31 Jan 2007 06:01:40 +0100

kdeartwork (4:3.5.6-1) experimental; urgency=low

  * New upstream release.
  * Make kdeartwork-dbg depend on kdelibs-dbg to get useful backtraces when
    debugging.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 16 Jan 2007 19:21:21 +0100

kdeartwork (4:3.5.6-0ubuntu1) feisty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 Jan 2007 11:22:30 +0000

kdeartwork (4:3.5.5-1ubuntu1) feisty; urgency=low

  * Merge with Debian
  * Compile with --enable-gcc-hidden-visibility

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 16 Nov 2006 20:30:07 +0000

kdeartwork (4:3.5.5-1) unstable; urgency=low

  * New upstream release.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed,  4 Oct 2006 20:38:54 -0400

kdeartwork (4:3.5.4-1) unstable; urgency=low

  * New upstream release.


